# $Revision: 1.30 $, $Date: 2007/01/21 22:53:26 $
# TODO:
# - resolve limit of interface traffic:
#   http://bugs.gentoo.org/attachment.cgi?id=80309&action=view
# - check which of these patches can be applied:
#   http://www.christoph-probst.com/technik/software/watchdog/5.2.4/
Summary:	A software watchdog
Summary(pl):	Programowy stranik
Name:		watchdog
Version:	5.2.6
Release:	2
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.debian.org/debian/pool/main/w/watchdog/%{name}_%{version}.orig.tar.gz
# Source0-md5:	43c33708ac07d458bdbd416812481bab
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-foreground.patch
Patch1:		%{name}-debian.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The watchdog program writes to /dev/watchdog every ten seconds. If the
device is open but not written to within a minute the machine will
reboot. Each write delays the reboot time another minute. The ability
to reboot will depend on the state of the machines and interrupts. To
use this software at least a version 1.3.52 kernel is needed.

%description -l pl
Program watchdog zapisuje do /dev/watchdog co 10 sekund. Jeeli
urzdzenie jest otwarte, ale nic nie zostanie zapisane przez minut,
maszyna si zrebootuje. Kady zapis opnia reboot o minut. Moliwo
rebootu zaley od stanu maszyny i przerwa. Do tego programu potrzebne
jest jdro w wersji co najmniej 1.3.52.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/watchdog
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/watchdog

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add watchdog
%service watchdog restart "watchdog daemon"

%preun
if [ "$1" = 0 ] ; then
	%service watchdog stop
	/sbin/chkconfig --del watchdog
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README NEWS AUTHORS IAFA-PACKAGE TODO examples
%{_mandir}/man?/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/watchdog
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/watchdog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/watchdog.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: watchdog.spec,v $
Revision 1.30  2007/01/21 22:53:26  arekm
- rel 2; prevent unneded reboots

Revision 1.29  2006/07/30 20:40:56  blues
- TODO added

Revision 1.28  2006/07/30 20:15:13  blues
- 5.2.6 - removed bogus watchdog_5.2.4-1.diff.gz patch (debian-only).

Revision 1.27  2006/03/13 23:14:32  glen
- use %service

Revision 1.26  2005/06/04 16:10:08  jajcus
- Release: 3
- allow starting watchdog in the foreground (-foreground.patch)

Revision 1.25  2005/04/06 18:21:48  glen
- fix attr for sysconfig file

Revision 1.24  2005/03/07 22:59:07  qboosh
- unified

Revision 1.23  2005/03/07 19:40:52  darekr
- %verify for config file

Revision 1.22  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.21  2003/08/22 15:01:53  ankry
- attributr fix

Revision 1.20  2003/08/19 15:06:39  qboosh
- more specific Requires

Revision 1.19  2003/08/12 20:21:21  arekm
- new init scripts

Revision 1.18  2003/08/08 14:58:53  arekm
- updated to 5.2.4

Revision 1.17  2003/05/25 21:12:30  agaran
Source0-md5

Revision 1.16  2003/05/25 20:37:52  arekm
- updated to 5.2.3 (from debian)

Revision 1.15  2003/05/25 06:27:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/06/14 12:19:57  kloczek
- simplification in %build.

Revision 1.12  2002/06/14 10:16:03  blues
- release 3
- new doc
STBR

Revision 1.11  2002/05/21 23:14:54  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/08 15:22:53  qboosh
- s/postun/preun/ (init.d/watchdog must exist to stop daemon); release 2

Revision 1.6  2001/12/21 09:49:08  blues
- 5.2 (previous was not working anyway...)
- adapterized
- added rewritten init script
- configure macro used - BR added
- docs gziped
- post rewritten - devices making is in dev.spec now
NOTE: there is still nedded to make some changes in rc-scripts (see
comments at the beggining of watchdog.init), but this one works

Revision 1.5  2001/09/25 14:25:54  qboosh
- Prereq: /sbin/chkconfig
- pl translations
TODO: at least something with devices creation in post...

Revision 1.4  2001/08/02 17:56:41  agaran
adapterized (almost only)

* Mon Jul 19 1999 Peter Soos <sp@osb.hu>
- Modify the spec file to build the package as an ordinary user
- Added %changelog
- Added %config and %attr macros
- Rebuilt under RedHat Linux 6.0
